GET
/
network
/
portfolio
curl "https://api.stableyard.fi/v2/network/portfolio?address=0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9"
{
  "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
  "totalBalance": 15000000,
  "chains": [
    {
      "chain": "base",
      "chainId": 8453,
      "balances": {
        "USDC": 10000000,
        "USDT": 0
      }
    },
    {
      "chain": "polygon",
      "chainId": 137,
      "balances": {
        "USDC": 5000000,
        "USDT": 0
      }
    }
  ],
  "requestId": "req_abc123"
}
Query the stablecoin balances of a wallet address across all supported chains. No authentication required.
address
string
required
Wallet address to query balances for
amount
number
Optional target amount — the response will indicate which chains can cover this amount
curl "https://api.stableyard.fi/v2/network/portfolio?address=0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9"
{
  "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
  "totalBalance": 15000000,
  "chains": [
    {
      "chain": "base",
      "chainId": 8453,
      "balances": {
        "USDC": 10000000,
        "USDT": 0
      }
    },
    {
      "chain": "polygon",
      "chainId": 137,
      "balances": {
        "USDC": 5000000,
        "USDT": 0
      }
    }
  ],
  "requestId": "req_abc123"
}
totalBalance
number
required
Total stablecoin balance across all chains (in smallest unit)
chains
array
required
Per-chain breakdown of token balances